Bug 48164 - network-manager: Multiple issues (4.3)
network-manager: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-2-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-19 09:04 CET by Quality Assurance
Modified: 2018-11-21 15:21 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2018-11-19 09:04:23 CET
New Debian network-manager 1.6.2-3+deb9u2A~4.3.2.201811190845 fixes:
This update addresses the following issue:
* Out-of-bounds heap write in systemd-networkd dhcpv6 option handling  (CVE-2018-15688)
Comment 1 Quality Assurance univentionstaff 2018-11-19 10:01:04 CET
--- mirror/ftp/4.3/unmaintained/4.3-0/source/network-manager_1.6.2-3A~4.3.0.201711222208.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/network-manager_1.6.2-3+deb9u2A~4.3.2.201811190845.dsc
@@ -1,8 +1,27 @@
-1.6.2-3A~4.3.0.201711222208 [Wed, 22 Nov 2017 22:13:11 +0100] Univention builddaemon <buildd@univention.de>:
+1.6.2-3+deb9u2A~4.3.2.201811190845 [Mon, 19 Nov 2018 09:04:37 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     00-kill-nm-setting-when-stopping-network-manager
     01-fix-ftbfs
+
+1.6.2-3+deb9u2 [Fri, 02 Nov 2018 07:13:36 +0100] Michael Biebl <biebl@debian.org>:
+
+  * Cherry-pick various fixes for the sd-network based dhcp=internal plugin
+    - Make sure we have enough space for the DHCP6 option header.
+      Fixes out-of-bounds heap write in dhcpv6 option handling.
+      (CVE-2018-15688, LP: #1795921)
+    - Remove unreachable route after rebinding return NAK
+    - Make dhcp6_option_parse_domainname() not store empty domain
+    - Fix memleaks when releasing a dhcp lease
+    - Fix an off-by-one error in dhcp6_option_parse_domainname
+    - Fix assertion starting DHCP client without MAC address
+    - Fix incorrect clearing of ipv4ll probe conflict counter
+
+1.6.2-3+deb9u1 [Tue, 09 Oct 2018 00:40:45 +0200] Michael Biebl <biebl@debian.org>:
+
+  * libnm: Fix accessing enabled and metered properties.
+    Those properties were proxied to the wrong object leading to a crash of
+    clients using libnm. (Closes: #892998)
 
 1.6.2-3 [Sat, 18 Mar 2017 12:59:56 +0100] Michael Biebl <biebl@debian.org>:
 

<http://10.200.17.11/4.3-2/#2418655095565601311>
Comment 2 Philipp Hahn univentionstaff 2018-11-19 11:54:29 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-2] e2a9048b02 Bug #48164: network-manager 1.6.2-3+deb9u2A~4.3.2.201811190845
 doc/errata/staging/{systemd.yaml => network-manager.yaml} | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

[4.3-2] 9fa3e33481 Bug #48162: systemd 232-25+deb9u6A~4.3.2.201811190845
 doc/errata/staging/systemd.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)

[4.3-2] cf31b68efc Bug #47509: systemd ANNOUNCE
 doc/errata/staging/systemd.yaml | 13 -------------
 1 file changed, 13 deletions(-)

[4.3-2] dfc12640fd Bug #47509: systemd 232-25+deb9u4A~4.3.1.201808081329
 doc/errata/staging/systemd.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Arvid Requate univentionstaff 2018-11-21 15:21:16 CET
<http://errata.software-univention.de/ucs/4.3/324.html>